Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class ObservableHashMap.Entry

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.SafeHashMap.Entry
com.tangosol.util.ObservableHashMap.Entry`

All Implemented Interfaces:
  Serializable, Cloneable, Map.Entry

Enclosing class:
  ObservableHashMap

      protected class ObservableHashMap.Entry

extends SafeHashMap.Entry

A holder for a cached value.

Author:
  cp 2000.12.12 (StmtCacheValue), cp 2001.04.19

Field Summary

Fields inherited from class com.tangosol.util.SafeHashMap.Entry
`m_eNext, m_nHash, m_oKey, m_oValue`

Constructor Summary
`protected` | `ObservableHashMap.Entry()`

Method Summary
`protected void` | `onAdd()` This method is invoked when the containing Map has actually added this Entry to itself.
`protected void` | `onRemove()` Called to inform the Entry that it has been removed.
`Object` | `setValue(Object oValue)` Update the cached value.

Methods inherited from class com.tangosol.util.SafeHashMap.Entry
`clone, copyFrom, equals, getKey, getValue, hashCode, toString`

Constructor Detail

### ObservableHashMap.Entry

    protected ObservableHashMap.Entry()

Method Detail

### onAdd

    protected void onAdd()

  This method is invoked when the containing Map has actually added this Entry to itself.
  Overrides:
    `onAdd` in class `SafeHashMap.Entry`

### setValue

    public Object setValue(Object oValue)

  Update the cached value.
  Specified by:
    `setValue` in interface `Map.Entry`
  Overrides:
    `setValue` in class `SafeHashMap.Entry`
  Parameters:
    `oValue` - the new value to cache
  Returns:
    the old cache value

### onRemove

    protected void onRemove()

  Called to inform the Entry that it has been removed.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.